Subject: Re: git fails to checkout SHA1 submodule in SHA256 repo with --depth=1

From: Martin Wilck <[email-masked]>
Date: Thu, 13 Nov 2025 23:57:19 +0100

On Thu, 2025-11-13 at 22:51 +0000, brian m. carlson wrote:
> On 2025-11-13 at 10:15:30, Martin Wilck wrote:
> > 
> > I get it that the concept is flawed and unsupported. Up to now,
> > that
> > wasn't obvious to me.
> 
> It wasn't obvious to a lot of people because the assumption is only
> documented in the transition plan.  Mixed algorithm submodules are
> something we should have thought about earlier on, but we didn't.
> 
> The original transition plan was to have full interoperability
> support
> early on, in which case this wouldn't have been a problem, but for
> technical reasons it ended up being much easier to have SHA-256-only
> repositories, so we finished that first.  I then lost interest in the
> project for many years (having kind of burnt out on the work) and,
> with
> the exception of one set of patches that were sent in, nobody else
> picked it up either.  So this ideally would have been implemented
> sooner
> under the original plan, but it wasn't.  This is one of the pitfalls
> of
> open source projects, as we all know.
>
> [...]

Thank you for the detailed response, and good luck finding some support
for this very important project.

Martin